- Space port: Travel to another colony or planet. 
- Hospital: Purchase items and healing.
- Shop: Purchase weapon, armor and misc items and deposit items.
- Cafe: Communicate with NPCs, access News and Forum.
- HQ: Explore grind area and go on quests.
- Arcade: Single player mini games. 
- Stadium: Player Vs Player or Team Vs Team.